Bug 54763 - possible qt-2.3.1-6 specfile syntax error
Summary: possible qt-2.3.1-6 specfile syntax error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: qt   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-18 01:11 UTC by R P Herrold
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-18 01:11:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2001-10-18 01:11:22 UTC
I got this strange error in rebuilding qt-2.3.1-6 on a RH 7.1 devel host:

It may be a byproduct of not having the requested static linked lib 
installed ... but the error is in the wrong place.

Just a FYI

Date: Wed, 17 Oct 2001 20:37:57 -0400
From: root <root@...>
To: prospector+...@owlriver.com
Subject: ORCprospector 0.01-011017 ... -- qt qt-2.3.1-6.src.rpm

qt   qt-2.3.1-6.src.rpm
/var/ftp/./pub/mirror/redhat/rawhide/SRPMS/qt-2.3.1-6.src.rpm
=================================

=================================

error: Unclosed %if
error: failed build dependencies:
        libmng-static is needed by qt-2.3.1-6


Description of Problem:


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Bernhard Rosenkraenzer 2001-10-23 12:06:21 UTC
The unclosed if is being injected by a bug in our build system (when the 
translation strings are merged in, a %if construct gets lost), and is harmless.
This will be fixed in the next release.

The requirement for libmng-static is genuine (a static library can't link to a 
shared library).




Note You need to log in before you can comment on or make changes to this bug.